%global modulename uuid

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-uuid
Version:        3.3.2
Release:        1%{?dist}
Summary:        RFC4122 (v1, v4, and v5) UUIDs

License:        MIT
URL:            https://github.com/kelektiv/node-uuid#readme
Source0:        https://registry.npmjs.org/uuid/-/uuid-3.3.2.tgz


BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch


Requires:       npmlib(%{modulename}) = %{version}

%description
RFC4122 (v1, v4, and v5) UUIDs

%package 3.3.2
Summary:        RFC4122 (v1, v4, and v5) UUIDs


%description 3.3.2
RFC4122 (v1, v4, and v5) UUIDs

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr .eslintrc.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr bin %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr index.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr lib %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr v1.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr v3.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr v4.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr v5.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}

mkdir -p %{buildroot}%{_bindir}
ln -s %{npmlib_dir}/%{modulename}/%{version}/bin/uuid %{buildroot}/%{_bindir}/uuid


mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
rm -rf node_modules && %{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc AUTHORS
%doc CHANGELOG.md
%doc LICENSE.md
%doc README.md
%doc README_js.md
%{_bindir}/uuid
%{nodejs_dir}/%{modulename}

%files 3.3.2
%doc AUTHORS
%doc CHANGELOG.md
%doc LICENSE.md
%doc README.md
%doc README_js.md
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Fri Nov 16 2018 npm2srpm <dshea@redhat.com> - 3.3.2-1
- Package automatically generated by npm2srpm
